> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/table-tennis/team-data/team-ranking.md).

# Team ranking

## Team ranking

> Returns the team's leaderboard data, you can query the historical ranking data according to the pub\_time update time\<br/>\<br/>Data rarely changes, recommended request frequency: 1 day/time

```json
{"openapi":"3.0.1","info":{"title":"Table Tennis API","version":"1.0.250606"},"tags":[{"name":"TEAM DATA","description":"TEAM DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/table_tennis/team/ranking":{"get":{"tags":["TEAM DATA"],"description":"Returns the team's leaderboard data, you can query the historical ranking data according to the pub_time update time<br/><br/>Data rarely changes, recommended request frequency: 1 day/time","summary":"Team ranking","operationId":"getTeamRankingList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"pub_time","in":"query","description":"Release time, the default is the latest issue (time stamp format)","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/TeamRanking"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"TeamRanking":{"type":"object","properties":{"pub_times":{"$ref":"#/deps/schemas/PubTimes"},"pub_time":{"type":"integer","description":"Release time of current query ranking data"},"items":{"type":"array","description":"Team list","items":{"$ref":"#/components/schemas/TeamRankingItem"}}}},"TeamRankingItem":{"type":"object","description":"Data details","properties":{"type":{"type":"integer","description":"Type, 1-Men's Singles, 2-Women's Singles, 3-Men's Doubles, 4-Women's Doubles, 5-Mixed, 6-Men's Doubles Individual, 7-Women's Doubles Individual, 8-Mixed Individual"},"week":{"type":"integer","description":"Week"},"ranking":{"type":"integer","description":"Rank"},"team_id":{"type":"string","description":"Team id"},"team_name":{"type":"string","description":"Team name"},"points":{"type":"integer","description":"Integral"},"position_changed":{"type":"integer","description":"Ranking changes"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"PubTimes":{"type":"array","description":"Ranking release time list<br/>example: [1661788800, 1661097600]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Release time (time stamp) | Integer |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/table-tennis/team-data/team-ranking.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
